rrs-commit: r54 - trunk

decibel at decibel.org decibel at decibel.org
Fri Mar 25 06:10:33 GMT 2005


Author: decibel
Date: Fri Mar 25 06:10:32 2005
New Revision: 54

Modified:
   trunk/release.sh
Log:
Minor fixes to release.sh

Modified: trunk/release.sh
==============================================================================
--- trunk/release.sh	(original)
+++ trunk/release.sh	Fri Mar 25 06:10:32 2005
@@ -4,18 +4,19 @@
 
 VERSION=`cat VERSION`
 RELEASE=rrs-$VERSION
-RELEASE_DIR=../release/$RELEASE
+RELEASE_DIR=release/$RELEASE
 TMP_DIR=~/tmp/rrs-$VERSION
 DOWNLOAD_DIR=~/rrs_html/download
 
 # Make sure ~/tmp exists
 mkdir -p ~/tmp
 
-svn cp * $RELEASE_DIR || exit 1
+cd ..
+svn cp trunk/. $RELEASE_DIR || exit 1
 ls -la $RELEASE_DIR
 
 read -p "Look ok? (y/N)" input
-if [ $input != [Yy] ]; then
+if [ "$input" != "Y" -a "$input" != "y" ]; then
     exit
 fi
 
@@ -24,7 +25,7 @@
 cd $TMP_DIR || exit 1
 
 rm release.sh || exit 1
-find . -type d -name .svn -exec rm {}\; || exit 1
+find -d . -type d -name .svn -exec rm -rf {} \; || exit 1
 cd ..
 tar -czvf $RELEASE.tgz $RELEASE || exit 1
 cat $RELEASE.tgz | md5 > $RELEASE.tgz.md5 || exit 1


More information about the rrs-commit mailing list